<?php if (Wo_IsMobile() == false) { ?>
<svg viewBox="0 0 909 721" version="1.1" class="tag_auth_effect"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g transform="translate(-1744.000000, -1065.000000)" fill="<?php echo $wo['config']['btn_background_color'];?>"><path d="M1954.43919,1792.6682 C1992.31638,1797.09936 2029.78299,1794.70896 2067.01008,1789.73436 C2120.30732,1782.61259 2173.62738,1775.58582 2226.69271,1767.39996 C2260.60085,1762.17074 2294.7713,1756.87312 2327.56171,1748.10961 C2372.16427,1736.19945 2413.88127,1718.36841 2451.75847,1693.72343 C2486.62465,1671.0318 2516.57893,1644.33085 2541.29434,1613.05053 C2563.39792,1585.08407 2579.7228,1554.51441 2591.52734,1521.52015 C2605.34684,1482.89004 2611.12175,1443.30225 2609.82154,1402.9544 C2608.74943,1369.81193 2601.56786,1336.95448 2589.34512,1305.18772 C2567.23773,1247.74609 2531.29564,1197.68846 2481.13487,1156.39053 C2449.00978,1129.9556 2412.8852,1108.35086 2372.457,1092.43138 C2337.29048,1078.58306 2300.84656,1069.59534 2263.61946,1064.1875 C2233.99594,1059.88176 2203.84778,1060.52401 2173.81367,1062.68258 C2137.97042,1065.25919 2103.56046,1072.62418 2070.51913,1083.86549 C2018.80343,1101.46471 1973.74846,1128.28727 1935.14892,1163.71372 C1904.17957,1192.12861 1879.84053,1224.76184 1858.39846,1259.15081 C1848.63167,1274.82708 1842.33591,1292.27808 1834.48522,1308.93102 C1823.53608,1332.13949 1812.37023,1355.27576 1801.75184,1378.60964 C1791.84819,1400.35119 1782.14603,1422.18015 1773.07116,1444.21812 C1761.57836,1472.14277 1750.1578,1500.07883 1743.786,1529.592 C1737.76778,1557.47105 1736.1216,1585.54771 1740.3834,1613.74598 C1744.73265,1642.5447 1755.98213,1669.59528 1773.50077,1694.5861 C1800.94966,1733.75965 1839.22985,1761.07245 1886.84342,1778.21564 C1908.63146,1786.06327 1931.35474,1790.1676 1954.43919,1792.6682" transform="translate(2174.000000, 1428.000000) rotate(205.000000) translate(-2174.000000, -1428.000000) "></path></g></g></svg>
<?php } ?>
<div class="valign tag_welcome">
	<div class="tag_wel_upper">
		<?php echo Wo_LoadPage('welcome/welcome-header');?>
	</div>
	<div class="tag_wel_middle">
		<div class="container">
			<div class="wow_content tag_auth_box tag_auth_box_auto">
				<?php
					$allow_switch = false;
					if ($wo['config']['sms_provider'] == 'twilio') {
						if( $wo['config']['sms_twilio_username'] !== "" AND  $wo['config']['sms_twilio_password'] !== "" ){
							if( $wo['config']['emailValidation'] == 1 ) {
								if( $wo['config']['sms_or_email'] == "sms" ) {
									$allow_switch = true;
								}
							}
						}
					} else if ($wo['config']['sms_provider'] == 'bulksms') {
						if( $wo['config']['sms_username'] !== "" AND  $wo['config']['sms_password'] !== "" ){
							if( $wo['config']['emailValidation'] == 1 ) {
								if( $wo['config']['sms_or_email'] == "sms" ) {
									$allow_switch = true;
								}
							}
						}
					} else if ($wo['config']['sms_provider'] == 'infobip') {
						if( $wo['config']['infobip_username'] !== "" AND  $wo['config']['infobip_password'] !== "" ){
							if( $wo['config']['emailValidation'] == 1 ) {
								if( $wo['config']['sms_or_email'] == "sms" ) {
									$allow_switch = true;
								}
							}
						}
					}
				?> 
				<?php if( $allow_switch ){ ?>
					<form class="x_chooser">
						<p class="title"><?php echo $wo['lang']['forgot_your_password']; ?></p>
						<div class="wow_forgot_choice">
							<button type="button" class="btn btn-main-rev btn-mat tag_wel_btn" id="recover_password_by_email"><?php echo $wo['lang']['recover_password_by_email']?></button>
							<button type="button" class="btn btn-main-rev btn-mat tag_wel_btn" id="recover_password_by_sms"><?php echo $wo['lang']['recover_password_by_sms']?></button>
						</div>
					</form>
				<?php } ?>
				<form id="forgot-form" class="recover_password_by_email" method="post" <?php if( $allow_switch ){ echo 'style="display: none;"'; } ?>>
					<div class="valign tag_auth_animation hidden"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 367.805 367.805" xml:space="preserve"> <g> <path style="fill:#3BB54A;" d="M183.903,0.001c101.566,0,183.902,82.336,183.902,183.902s-82.336,183.902-183.902,183.902 S0.001,285.469,0.001,183.903l0,0C-0.288,82.625,81.579,0.29,182.856,0.001C183.205,0,183.554,0,183.903,0.001z"/> <polygon style="fill:#fff;" points="285.78,133.225 155.168,263.837 82.025,191.217 111.805,161.96 155.168,204.801 256.001,103.968"/> </g></svg><?php echo $wo['lang']['email_sent'] ?></div>
					<p class="title"><?php echo $wo['lang']['forgot_your_password']; ?></p>
					<div class="errors"></div>
					<label class="tag_field">
						<input name="recoveremail" type="email" autocomplete="off" placeholder=" " required>
						<span><?php echo $wo['lang']['email']?></span>
					</label>
					<?php if($wo['config']['reCaptcha'] == 1) {?>
						<div class="form-group">
							<div class="g-recaptcha" data-sitekey="<?php echo $wo['config']['reCaptchaKey']?>"></div>
						</div>
					<?php } ?>
					<button type="submit" class="btn btn-main btn-mat disable_btn tag_wel_btn"><?php echo $wo['lang']['recover_password']?></button>
				</form>
				<form id="forgot-form-sms" class="recover_password_by_sms" method="post" style="display: none;">
					<div class="valign tag_auth_animation hidden"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 367.805 367.805" xml:space="preserve"> <g> <path style="fill:#3BB54A;" d="M183.903,0.001c101.566,0,183.902,82.336,183.902,183.902s-82.336,183.902-183.902,183.902 S0.001,285.469,0.001,183.903l0,0C-0.288,82.625,81.579,0.29,182.856,0.001C183.205,0,183.554,0,183.903,0.001z"/> <polygon style="fill:#fff;" points="285.78,133.225 155.168,263.837 82.025,191.217 111.805,161.96 155.168,204.801 256.001,103.968"/> </g></svg><?php echo $wo['lang']['recoversms_sent'] ?></div>
					<p class="title"><?php echo $wo['lang']['forgot_your_password']; ?></p>
					<div class="errors"></div>
					<label class="tag_field">
						<input name="recoverphone" type="tel" autocomplete="off" placeholder=" " required>
						<span><?php echo $wo['lang']['phone_number']?></span>
					</label>
					<button type="submit" class="btn btn-main btn-mat disable_btn tag_wel_btn"><?php echo $wo['lang']['recover_password']?></button>
				</form>
			</div>
			<div class="text-center tag_wel_register"><?php echo $wo['lang']['already_have_account']?> <a class="dec" href="<?php echo $wo['config']['site_url'];?>"><?php echo $wo['lang']['login']?></a></div>
		</div>
	</div>
	<div class="tag_wel_bottom">
		<?php echo Wo_LoadPage('footer/welcome');?>
	</div>
</div>
<?php if (Wo_IsMobile() == false) { ?>
<svg viewBox="0 0 426 474" version="1.1" class="tag_auth_effect_bottom"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g transform="translate(-388.000000, -381.000000)" fill="currentColor"><path d="M860,593.437773 C859.701866,623.190759 854.01417,647.43429 843.154019,670.755769 C835.205601,687.828885 825.163406,703.502 813.182105,717.814975 C800.906695,732.472251 787.047984,745.753829 772.03906,757.76087 C750.242228,775.197984 727.029635,790.417393 702.212602,803.333163 C674.616456,817.697686 645.581032,827.632183 614.714333,831.474542 C603.380661,832.884952 591.76881,833.81003 580.214183,831.985022 C571.47474,830.604015 562.415871,830.578238 553.942993,828.315225 C541.615712,825.024967 529.36,821.000299 517.649374,815.967491 C494.095111,805.852786 474.801247,789.965248 459.436002,769.62324 C451.026851,758.495492 442.506364,747.287914 435.644682,735.212933 C428.529553,722.686405 423.21254,709.13569 417.381761,695.91096 C412.440889,684.713717 407.688794,673.427264 403.227584,662.033107 C396.705691,645.373491 389.465919,628.889411 384.444813,611.774218 C378.049538,589.980074 371.703899,567.946234 372.010694,544.854827 C372.304719,522.470146 376.864757,500.89125 388.307451,481.514782 C398.325615,464.551152 412.604948,451.530522 430.084638,441.755974 C449.393384,430.95415 470.307088,427.074211 491.846728,427 C507.582237,426.9463 523.319571,429.1654 538.780809,432.715123 C551.519781,435.636433 564.267893,438.812771 577.190075,440.53256 C590.795953,442.344157 604.488365,444.324704 618.346374,443.398399 C638.00253,442.087913 657.658722,440.712901 677.333257,439.734255 C694.619246,438.879821 711.773953,440.425228 728.87232,443.138286 C742.898737,445.361393 756.265003,449.652778 768.87532,455.81277 C792.583457,467.399208 813.71259,482.213376 828.977802,504.402122 C838.057174,517.59435 846.61669,530.937424 851.372704,546.292112 C853.692037,553.772837 855.695707,561.41044 857.015592,569.116017 C858.625367,578.496049 859.362587,588.020975 860,593.437773" transform="translate(616.000000, 630.000000) rotate(-78.000000) translate(-616.000000, -630.000000) "></path></g></g></svg>
<?php } ?>

<script>
var working = false;
var $this = $('#forgot-form');
var $this_sms = $('#forgot-form-sms');
var $state = $this.find('.errors');
var $state_sms = $this_sms.find('.errors');
var $login_anim = $this.find('.tag_auth_animation');
var $login_anim_phone = $this_sms.find('.tag_auth_animation');

$(function() {
	$('#recover_password_by_email').click(function(){
		$('.x_chooser').hide();
		$('.recover_password_by_email').show();
	});
	$('#recover_password_by_sms').click(function(){
		$('.x_chooser').hide();
		$('.recover_password_by_sms').show();
	});

	Wo_SetTimer();
	$this.ajaxForm({
		url: Wo_Ajax_Requests_File() + '?f=recover',
		beforeSend: function() {
			working = true;
			$this.find('.disable_btn').attr("disabled", true);
		},
		success: function(data) {
			if (data.status == 200) {
				$login_anim.removeClass('hidden');
			} else {
				$this.find('.disable_btn').attr("disabled", false);
				$state.html(data.errors);
			}
			working = false;
		}
	});

	$this_sms.ajaxForm({
		url: Wo_Ajax_Requests_File() + '?f=recoversms',
		beforeSend: function() {
			working = true;
			$this_sms.find('.disable_btn').attr("disabled", true);
		},
		success: function(data) {
			if (data.status == 200) {
				$login_anim_phone.removeClass('hidden');
				setTimeout(function () {
					window.location.href = data.location;
				}, 1000);
			} else {
				$this_sms.find('.disable_btn').attr("disabled", false);
				$state_sms.html(data.errors);
			}
			working = false;
		}
	});
});
</script>